# Go API client for swagger

The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 1.0
- Package version: 1.0.0
- Build date: 2022-01-27T22:58:19.369Z
- Build package: class io.swagger.codegen.languages.GoClientCodegen
For more information, please visit [https://www.workiva.com/wdata](https://www.workiva.com/wdata)

## Installation
Put the package under your project folder and add the following in import:
```
    "./swagger"
```

## Documentation for API Endpoints

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*APIHealthApi* | [**HealthCheckUsingGET**](docs/APIHealthApi.md#healthcheckusingget) | **Get** /health | Health check
*AdministrativeTasksApi* | [**DeleteWorkspaceUsingDELETE**](docs/AdministrativeTasksApi.md#deleteworkspaceusingdelete) | **Delete** /api/v1/admin/account | Delete a single workspace
*AdministrativeTasksApi* | [**ExportWorkspaceUsingGET**](docs/AdministrativeTasksApi.md#exportworkspaceusingget) | **Get** /api/v1/admin/export | Export a single workspace
*AdministrativeTasksApi* | [**FindWorkspaceFilesBySizeUsingGET**](docs/AdministrativeTasksApi.md#findworkspacefilesbysizeusingget) | **Get** /api/v1/admin/usage/filesBySize | Retrieve workspace files by size
*AdministrativeTasksApi* | [**GetWorkspaceQueryUsageUsingGET**](docs/AdministrativeTasksApi.md#getworkspacequeryusageusingget) | **Get** /api/v1/admin/usage/query | Retrieve workspace query usage
*AdministrativeTasksApi* | [**GetWorkspaceUploadUsageUsingGET**](docs/AdministrativeTasksApi.md#getworkspaceuploadusageusingget) | **Get** /api/v1/admin/usage/upload | Retrieve workspace upload usage
*AdministrativeTasksApi* | [**ImportDataUsingPOST**](docs/AdministrativeTasksApi.md#importdatausingpost) | **Post** /api/v1/admin/import | Import data
*AdministrativeTasksApi* | [**ValidateFilesUsingPOST**](docs/AdministrativeTasksApi.md#validatefilesusingpost) | **Post** /api/v1/admin/validation/files | Validate files
*AdministrativeTasksApi* | [**ValidateTablesUsingPOST**](docs/AdministrativeTasksApi.md#validatetablesusingpost) | **Post** /api/v1/admin/validation/tables | Validate tables
*ConnectionManagementApi* | [**GetConnectionUsingGET**](docs/ConnectionManagementApi.md#getconnectionusingget) | **Get** /api/v1/connections/{connectionId} | Get connection details
*ConnectionManagementApi* | [**GetRefreshBatchStatusUsingGET**](docs/ConnectionManagementApi.md#getrefreshbatchstatususingget) | **Get** /api/v1/connections/batch/refresh/{batchId} | Gets the status of a batch refresh
*ConnectionManagementApi* | [**GetRefreshStatusUsingGET**](docs/ConnectionManagementApi.md#getrefreshstatususingget) | **Get** /api/v1/connections/{connectionId}/status | Get connection refresh status
*ConnectionManagementApi* | [**ListConnectionsUsingGET**](docs/ConnectionManagementApi.md#listconnectionsusingget) | **Get** /api/v1/connections | List connections
*ConnectionManagementApi* | [**RefreshBatchUsingPOST**](docs/ConnectionManagementApi.md#refreshbatchusingpost) | **Post** /api/v1/connections/batch/refresh | Refresh batch of connections
*ConnectionManagementApi* | [**RefreshConnectionUsingPOST**](docs/ConnectionManagementApi.md#refreshconnectionusingpost) | **Post** /api/v1/connections/{connectionId}/refresh | Refresh connection
*FileManagementApi* | [**DeleteFileUsingDELETE**](docs/FileManagementApi.md#deletefileusingdelete) | **Delete** /api/v1/file/{fileId} | Delete a single file
*FileManagementApi* | [**DownloadFileUsingGET**](docs/FileManagementApi.md#downloadfileusingget) | **Get** /api/v1/file/{fileId}/download | Download a single file
*FileManagementApi* | [**ExportFileToSpreadsheetsUsingPOST**](docs/FileManagementApi.md#exportfiletospreadsheetsusingpost) | **Post** /api/v1/file/{fileId}/export | Export a file to spreadsheets
*FileManagementApi* | [**GetErrorsUsingGET**](docs/FileManagementApi.md#geterrorsusingget) | **Get** /api/v1/file/{fileId}/error | Retrieve errors
*FileManagementApi* | [**GetFileUsingGET**](docs/FileManagementApi.md#getfileusingget) | **Get** /api/v1/file/{fileId} | Retrieve a single file
*FileManagementApi* | [**GetFilesUsingGET**](docs/FileManagementApi.md#getfilesusingget) | **Get** /api/v1/file | Retrieve a list of files
*FileManagementApi* | [**UploadFileUsingPOST**](docs/FileManagementApi.md#uploadfileusingpost) | **Post** /api/v1/file | Upload a single file
*FileManagementApi* | [**ValidateFilenameUsingGET**](docs/FileManagementApi.md#validatefilenameusingget) | **Get** /api/v1/file/validateName | Validate whether a file with the filename can be uploaded to the table
*FolderManagementApi* | [**CreateFolderUsingPOST**](docs/FolderManagementApi.md#createfolderusingpost) | **Post** /api/v1/folder | Create a new folder
*FolderManagementApi* | [**DeleteFolderUsingDELETE**](docs/FolderManagementApi.md#deletefolderusingdelete) | **Delete** /api/v1/folder/{folderId} | Delete a single folder
*FolderManagementApi* | [**GetFolderUsingGET**](docs/FolderManagementApi.md#getfolderusingget) | **Get** /api/v1/folder/{folderId} | Retrieve a single folder
*FolderManagementApi* | [**ListChildrenUsingGET**](docs/FolderManagementApi.md#listchildrenusingget) | **Get** /api/v1/folder/{folderId}/children | Retrieve list of folder contents
*FolderManagementApi* | [**ListFoldersUsingGET**](docs/FolderManagementApi.md#listfoldersusingget) | **Get** /api/v1/folder | Retrieve a list of folders
*FolderManagementApi* | [**SearchUsingGET**](docs/FolderManagementApi.md#searchusingget) | **Get** /api/v1/entity | Search
*FolderManagementApi* | [**SetChildrenUsingPOST**](docs/FolderManagementApi.md#setchildrenusingpost) | **Post** /api/v1/folder/{folderId}/children | Move content into a folder
*FolderManagementApi* | [**UpdateFolderUsingPUT**](docs/FolderManagementApi.md#updatefolderusingput) | **Put** /api/v1/folder/{folderId} | Update a single folder
*ParameterManagementApi* | [**CreateParameterUsingPOST**](docs/ParameterManagementApi.md#createparameterusingpost) | **Post** /api/v1/parameter | Create parameter
*ParameterManagementApi* | [**DeleteParameterUsingDELETE**](docs/ParameterManagementApi.md#deleteparameterusingdelete) | **Delete** /api/v1/parameter/{parameterId} | Delete Parameter
*ParameterManagementApi* | [**GetParameterUsingGET**](docs/ParameterManagementApi.md#getparameterusingget) | **Get** /api/v1/parameter/{parameterId} | Get Parameter
*ParameterManagementApi* | [**ListParametersUsingGET**](docs/ParameterManagementApi.md#listparametersusingget) | **Get** /api/v1/parameter | Get Parameters
*ParameterManagementApi* | [**UpdateParameterUsingPUT**](docs/ParameterManagementApi.md#updateparameterusingput) | **Put** /api/v1/parameter/{parameterId} | Update Parameter
*PivotViewManagementApi* | [**CreatePivotViewUsingPOST**](docs/PivotViewManagementApi.md#createpivotviewusingpost) | **Post** /api/v1/pivotview | Create a new pivot view
*PivotViewManagementApi* | [**DeletePivotViewUsingDELETE**](docs/PivotViewManagementApi.md#deletepivotviewusingdelete) | **Delete** /api/v1/pivotview/{pivotViewId} | Delete a single pivot view
*PivotViewManagementApi* | [**DownloadPivotViewTokenUsingGET**](docs/PivotViewManagementApi.md#downloadpivotviewtokenusingget) | **Get** /api/v1/pivotview/{pivotViewId}/token | This endpoint is deprecated. It not longer functions as intended, as pivotingquery results is now handled by cross tab queries. This endpoint will be removedon September 1, 2020.
*PivotViewManagementApi* | [**DownloadPivotViewUsingGET**](docs/PivotViewManagementApi.md#downloadpivotviewusingget) | **Get** /api/v1/pivotview/{pivotViewId}/download | This endpoint is deprecated. It not longer functions as intended, as pivotingquery results is now handled by cross tab queries. This endpoint will be removedon September 1, 2020.
*PivotViewManagementApi* | [**GetPivotViewUsingGET**](docs/PivotViewManagementApi.md#getpivotviewusingget) | **Get** /api/v1/pivotview/{pivotViewId} | Retrieve a single pivot view
*PivotViewManagementApi* | [**ListPivotViewsUsingGET**](docs/PivotViewManagementApi.md#listpivotviewsusingget) | **Get** /api/v1/pivotview | Retrieve a list of pivot views
*PivotViewManagementApi* | [**UpdatePivotViewUsingPUT**](docs/PivotViewManagementApi.md#updatepivotviewusingput) | **Put** /api/v1/pivotview/{pivotViewId} | Update a single pivot view
*QueryManagementApi* | [**CancelQueryUsingDELETE**](docs/QueryManagementApi.md#cancelqueryusingdelete) | **Delete** /api/v1/queryresult/{queryResultId} | Cancel a running query
*QueryManagementApi* | [**CreateQueryUsingPOST**](docs/QueryManagementApi.md#createqueryusingpost) | **Post** /api/v1/query | Create a new query
*QueryManagementApi* | [**DeleteQueryUsingDELETE**](docs/QueryManagementApi.md#deletequeryusingdelete) | **Delete** /api/v1/query/{queryId} | Delete a single query
*QueryManagementApi* | [**DownloadQueryResultUsingGET**](docs/QueryManagementApi.md#downloadqueryresultusingget) | **Get** /api/v1/queryresult/{queryResultId}/download | Download a query result
*QueryManagementApi* | [**ExportQueryResultToSpreadsheetsUsingPOST**](docs/QueryManagementApi.md#exportqueryresulttospreadsheetsusingpost) | **Post** /api/v1/queryresult/{queryResultId}/export | Export query result to spreadsheets
*QueryManagementApi* | [**GetDependenciesUsingGET**](docs/QueryManagementApi.md#getdependenciesusingget) | **Get** /api/v1/query/{queryId}/dependencies | Retrieve dependencies
*QueryManagementApi* | [**GetQueryColumnDataUsingPOST**](docs/QueryManagementApi.md#getquerycolumndatausingpost) | **Post** /api/v1/query/data | Retrieve query column data
*QueryManagementApi* | [**GetQueryResultUsingGET**](docs/QueryManagementApi.md#getqueryresultusingget) | **Get** /api/v1/queryresult/{queryResultId} | Retrieve a single query result
*QueryManagementApi* | [**GetQueryUsingGET**](docs/QueryManagementApi.md#getqueryusingget) | **Get** /api/v1/query/{queryId} | Retrieve a single query
*QueryManagementApi* | [**GetTablesDependentOnQueryUsingGET**](docs/QueryManagementApi.md#gettablesdependentonqueryusingget) | **Get** /api/v1/query/{queryId}/dependents | Retrieve a list of dependents
*QueryManagementApi* | [**IsQueryValidUsingPOST**](docs/QueryManagementApi.md#isqueryvalidusingpost) | **Post** /api/v1/query/validation | Parses the query to determine if it is valid
*QueryManagementApi* | [**ListQueriesUsingGET**](docs/QueryManagementApi.md#listqueriesusingget) | **Get** /api/v1/query | Retrieve list of queries
*QueryManagementApi* | [**ListQueryResultsUsingGET**](docs/QueryManagementApi.md#listqueryresultsusingget) | **Get** /api/v1/queryresult | Retrieve a list of query results
*QueryManagementApi* | [**PreviewQueryUsingPOST**](docs/QueryManagementApi.md#previewqueryusingpost) | **Post** /api/v1/query/preview/{tableId} | Preview a query
*QueryManagementApi* | [**RunQueryUsingPOST**](docs/QueryManagementApi.md#runqueryusingpost) | **Post** /api/v1/queryresult | Execute a query
*QueryManagementApi* | [**UpdateQueryUsingPUT**](docs/QueryManagementApi.md#updatequeryusingput) | **Put** /api/v1/query/{queryId} | Update a single query
*SelectListManagementApi* | [**CreateSelectListUsingPOST**](docs/SelectListManagementApi.md#createselectlistusingpost) | **Post** /api/v1/selectlist | Create a new select list
*SelectListManagementApi* | [**DeleteUsingDELETE**](docs/SelectListManagementApi.md#deleteusingdelete) | **Delete** /api/v1/selectlist/{selectListId} | Delete a single select list
*SelectListManagementApi* | [**GetSelectListUsingGET**](docs/SelectListManagementApi.md#getselectlistusingget) | **Get** /api/v1/selectlist/{selectListId} | Retrieve a single select list
*SelectListManagementApi* | [**ListSelectListsUsingGET**](docs/SelectListManagementApi.md#listselectlistsusingget) | **Get** /api/v1/selectlist | Retrieve a list of select lists
*SelectListManagementApi* | [**UpdateSelectListUsingPUT**](docs/SelectListManagementApi.md#updateselectlistusingput) | **Put** /api/v1/selectlist/{selectListId} | Update a single select list
*SharedTableManagementApi* | [**CreateSharedTableUsingPOST**](docs/SharedTableManagementApi.md#createsharedtableusingpost) | **Post** /api/v1/sharedtable | Create a new shared table
*SharedTableManagementApi* | [**DeleteSharedTableUsingDELETE**](docs/SharedTableManagementApi.md#deletesharedtableusingdelete) | **Delete** /api/v1/sharedtable/{sharedTableId} | Delete a single shared table
*SharedTableManagementApi* | [**GetSharedTableUsingGET**](docs/SharedTableManagementApi.md#getsharedtableusingget) | **Get** /api/v1/sharedtable/{sharedTableId} | Retrieve a single shared table
*SharedTableManagementApi* | [**ListSharedTablesUsingGET**](docs/SharedTableManagementApi.md#listsharedtablesusingget) | **Get** /api/v1/sharedtable | Retrieve a list of shared tables
*TableManagementApi* | [**CreateTableUsingPOST**](docs/TableManagementApi.md#createtableusingpost) | **Post** /api/v1/table | Create a new table
*TableManagementApi* | [**DeleteTableUsingDELETE**](docs/TableManagementApi.md#deletetableusingdelete) | **Delete** /api/v1/table/{tableId} | Delete a single table
*TableManagementApi* | [**GetDependentsUsingGET**](docs/TableManagementApi.md#getdependentsusingget) | **Get** /api/v1/table/{tableId}/dependents | Retrieve a list of dependents
*TableManagementApi* | [**GetImportInfoUsingGET**](docs/TableManagementApi.md#getimportinfousingget) | **Get** /api/v1/table/{tableId}/importInfo | Retrieve import information
*TableManagementApi* | [**GetTableUsingGET**](docs/TableManagementApi.md#gettableusingget) | **Get** /api/v1/table/{tableId} | Retrieve a single table
*TableManagementApi* | [**GetTablesUsingGET**](docs/TableManagementApi.md#gettablesusingget) | **Get** /api/v1/table | Retrieve a list of tables
*TableManagementApi* | [**ImportFileUsingPOST**](docs/TableManagementApi.md#importfileusingpost) | **Post** /api/v1/table/{tableId}/import | Import a single file
*TableManagementApi* | [**ImportFromSpreadsheetsUsingPOST**](docs/TableManagementApi.md#importfromspreadsheetsusingpost) | **Post** /api/v1/table/{tableId}/spreadsheet/import | Import from spreadsheets
*TableManagementApi* | [**UnimportFileUsingDELETE**](docs/TableManagementApi.md#unimportfileusingdelete) | **Delete** /api/v1/table/{tableId}/import/{fileId} | Unimport a single file
*TableManagementApi* | [**UpdateTableUsingPUT**](docs/TableManagementApi.md#updatetableusingput) | **Put** /api/v1/table/{tableId} | Update a single table
*TagManagementApi* | [**CreateTagUsingPOST**](docs/TagManagementApi.md#createtagusingpost) | **Post** /api/v1/tag | Create a new tag
*TagManagementApi* | [**DeleteTagUsingDELETE**](docs/TagManagementApi.md#deletetagusingdelete) | **Delete** /api/v1/tag/{tagId} | Delete a single tag
*TagManagementApi* | [**ListTagsUsingGET**](docs/TagManagementApi.md#listtagsusingget) | **Get** /api/v1/tag | Retrieve a list of tags
*TagManagementApi* | [**UpdateTagUsingPUT**](docs/TagManagementApi.md#updatetagusingput) | **Put** /api/v1/tag/{tagId} | Update a single tag
*TokenManagementApi* | [**CreateTokenUsingPOST**](docs/TokenManagementApi.md#createtokenusingpost) | **Post** /api/v1/token | Create a new token
*TokenManagementApi* | [**DownloadFileUsingGET1**](docs/TokenManagementApi.md#downloadfileusingget1) | **Get** /api/v1/token/{tokenId} | Download a single file
*UtilitiesApi* | [**ParseDateUsingPOST**](docs/UtilitiesApi.md#parsedateusingpost) | **Post** /api/v1/util/datetime | Parse a date


## Documentation For Models

 - [BaseResponseOfCollectionOfFolderableDto](docs/BaseResponseOfCollectionOfFolderableDto.md)
 - [BaseResponseOfConnectionDto](docs/BaseResponseOfConnectionDto.md)
 - [BaseResponseOfConnectionRunDto](docs/BaseResponseOfConnectionRunDto.md)
 - [BaseResponseOfFileMetaDto](docs/BaseResponseOfFileMetaDto.md)
 - [BaseResponseOfFolderDto](docs/BaseResponseOfFolderDto.md)
 - [BaseResponseOfGlobalParameterDto](docs/BaseResponseOfGlobalParameterDto.md)
 - [BaseResponseOfImportInfoDto](docs/BaseResponseOfImportInfoDto.md)
 - [BaseResponseOfMapOfstringAndstring](docs/BaseResponseOfMapOfstringAndstring.md)
 - [BaseResponseOfPivotViewDto](docs/BaseResponseOfPivotViewDto.md)
 - [BaseResponseOfQueryColumnDataDto](docs/BaseResponseOfQueryColumnDataDto.md)
 - [BaseResponseOfQueryDto](docs/BaseResponseOfQueryDto.md)
 - [BaseResponseOfQueryResultDto](docs/BaseResponseOfQueryResultDto.md)
 - [BaseResponseOfRefreshBatchDto](docs/BaseResponseOfRefreshBatchDto.md)
 - [BaseResponseOfSelectListDto](docs/BaseResponseOfSelectListDto.md)
 - [BaseResponseOfSharedTableDto](docs/BaseResponseOfSharedTableDto.md)
 - [BaseResponseOfSpreadsheetInfoDto](docs/BaseResponseOfSpreadsheetInfoDto.md)
 - [BaseResponseOfTableDto](docs/BaseResponseOfTableDto.md)
 - [BaseResponseOfTagDto](docs/BaseResponseOfTagDto.md)
 - [BaseResponseOfTokenDto](docs/BaseResponseOfTokenDto.md)
 - [BaseResponseOfValidateFilesDto](docs/BaseResponseOfValidateFilesDto.md)
 - [BaseResponseOfValidateTablesDto](docs/BaseResponseOfValidateTablesDto.md)
 - [BaseResponseOflong](docs/BaseResponseOflong.md)
 - [BaseResponseOfstring](docs/BaseResponseOfstring.md)
 - [Column](docs/Column.md)
 - [ColumnDto](docs/ColumnDto.md)
 - [ColumnInfoDto](docs/ColumnInfoDto.md)
 - [ConnectionDto](docs/ConnectionDto.md)
 - [ConnectionRunDto](docs/ConnectionRunDto.md)
 - [DatetimeDto](docs/DatetimeDto.md)
 - [ExportFileDto](docs/ExportFileDto.md)
 - [ExportQueryResultDto](docs/ExportQueryResultDto.md)
 - [File](docs/File.md)
 - [FileMetaDto](docs/FileMetaDto.md)
 - [FolderDto](docs/FolderDto.md)
 - [FolderableDto](docs/FolderableDto.md)
 - [GlobalParameterDto](docs/GlobalParameterDto.md)
 - [ImportDto](docs/ImportDto.md)
 - [ImportErrorDto](docs/ImportErrorDto.md)
 - [ImportFromSpreadsheetDto](docs/ImportFromSpreadsheetDto.md)
 - [ImportInfoDto](docs/ImportInfoDto.md)
 - [InputStream](docs/InputStream.md)
 - [InputStreamResource](docs/InputStreamResource.md)
 - [MapOfstringAndobject](docs/MapOfstringAndobject.md)
 - [MapOfstringAndstring](docs/MapOfstringAndstring.md)
 - [MultiError](docs/MultiError.md)
 - [PagedResponseOfConnectionDto](docs/PagedResponseOfConnectionDto.md)
 - [PagedResponseOfFileMetaDto](docs/PagedResponseOfFileMetaDto.md)
 - [PagedResponseOfFolderDto](docs/PagedResponseOfFolderDto.md)
 - [PagedResponseOfFolderableDto](docs/PagedResponseOfFolderableDto.md)
 - [PagedResponseOfGlobalParameterDto](docs/PagedResponseOfGlobalParameterDto.md)
 - [PagedResponseOfImportErrorDto](docs/PagedResponseOfImportErrorDto.md)
 - [PagedResponseOfPivotViewDto](docs/PagedResponseOfPivotViewDto.md)
 - [PagedResponseOfQueryDto](docs/PagedResponseOfQueryDto.md)
 - [PagedResponseOfQueryResultDto](docs/PagedResponseOfQueryResultDto.md)
 - [PagedResponseOfSelectListDto](docs/PagedResponseOfSelectListDto.md)
 - [PagedResponseOfSharedTableDto](docs/PagedResponseOfSharedTableDto.md)
 - [PagedResponseOfTableDto](docs/PagedResponseOfTableDto.md)
 - [PagedResponseOfTagDto](docs/PagedResponseOfTagDto.md)
 - [PivotDefinitionDto](docs/PivotDefinitionDto.md)
 - [PivotViewDefinitionColumnDto](docs/PivotViewDefinitionColumnDto.md)
 - [PivotViewDefinitionFilterDto](docs/PivotViewDefinitionFilterDto.md)
 - [PivotViewDefinitionRowDto](docs/PivotViewDefinitionRowDto.md)
 - [PivotViewDefinitionValueDto](docs/PivotViewDefinitionValueDto.md)
 - [PivotViewDto](docs/PivotViewDto.md)
 - [QueryColumnDataDto](docs/QueryColumnDataDto.md)
 - [QueryDependencyDto](docs/QueryDependencyDto.md)
 - [QueryDto](docs/QueryDto.md)
 - [QueryParameterDto](docs/QueryParameterDto.md)
 - [QueryResultDto](docs/QueryResultDto.md)
 - [QueryTextDto](docs/QueryTextDto.md)
 - [RefreshBatchDto](docs/RefreshBatchDto.md)
 - [RefreshConnectionDto](docs/RefreshConnectionDto.md)
 - [SelectListDto](docs/SelectListDto.md)
 - [SharedTableDto](docs/SharedTableDto.md)
 - [SingleError](docs/SingleError.md)
 - [SpreadsheetInfoDto](docs/SpreadsheetInfoDto.md)
 - [StartValidateFilesDto](docs/StartValidateFilesDto.md)
 - [TableDto](docs/TableDto.md)
 - [TableSchema](docs/TableSchema.md)
 - [TagDto](docs/TagDto.md)
 - [TokenDto](docs/TokenDto.md)
 - [UniqueConstraintDto](docs/UniqueConstraintDto.md)
 - [Uri](docs/Uri.md)
 - [Url](docs/Url.md)
 - [ValidateFilesDto](docs/ValidateFilesDto.md)
 - [ValidateTablesDto](docs/ValidateTablesDto.md)


## Documentation For Authorization


## oauth

- **Type**: OAuth
- **Flow**: application
- **Authorizatoin URL**: 
- **Scopes**: N/A


## Author

scoutteam@workiva.com

