/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type ConnectionDto struct {

	// The unique ID of the connection
	ConnectionId string `json:"connectionId,omitempty"`

	// When the connection was created, as a datetime
	Created time.Time `json:"created,omitempty"`

	// The ID of the user that created the connection
	CreatedBy string `json:"createdBy,omitempty"`

	// The description of the connection, if specified
	Description string `json:"description,omitempty"`

	// The ID of the file or item the connection sends data to
	DestinationId string `json:"destinationId,omitempty"`

	// The type of file or item the connection sends data to
	DestinationType string `json:"destinationType,omitempty"`

	// The ID of the user that last ran the connection
	LastRunBy string `json:"lastRunBy,omitempty"`

	// When the connection last ran, as a datetime
	LastRunDate time.Time `json:"lastRunDate,omitempty"`

	// A map of the parameters used with the destination when the connection last ran
	LastRunDestinationParameters map[string]Object `json:"lastRunDestinationParameters,omitempty"`

	// The ID of the connection's last run
	LastRunJobId string `json:"lastRunJobId,omitempty"`

	// A map of the parameters used with the source when the connection last ran
	LastRunSourceParameters map[string]Object `json:"lastRunSourceParameters,omitempty"`

	// Any additional information about the connection
	Metadata map[string]Object `json:"metadata,omitempty"`

	// The name of the connection, if specified
	Name string `json:"name,omitempty"`

	// The ID of the file or item the connection pulls data from
	SourceId string `json:"sourceId,omitempty"`

	// The type of file or item the connection pulls data from
	SourceType string `json:"sourceType,omitempty"`
}
