# \AdministrativeTasksApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DeleteWorkspaceUsingDELETE**](AdministrativeTasksApi.md#DeleteWorkspaceUsingDELETE) | **Delete** /api/v1/admin/account | Delete a single workspace
[**ExportWorkspaceUsingGET**](AdministrativeTasksApi.md#ExportWorkspaceUsingGET) | **Get** /api/v1/admin/export | Export a single workspace
[**FindWorkspaceFilesBySizeUsingGET**](AdministrativeTasksApi.md#FindWorkspaceFilesBySizeUsingGET) | **Get** /api/v1/admin/usage/filesBySize | Retrieve workspace files by size
[**GetWorkspaceQueryUsageUsingGET**](AdministrativeTasksApi.md#GetWorkspaceQueryUsageUsingGET) | **Get** /api/v1/admin/usage/query | Retrieve workspace query usage
[**GetWorkspaceUploadUsageUsingGET**](AdministrativeTasksApi.md#GetWorkspaceUploadUsageUsingGET) | **Get** /api/v1/admin/usage/upload | Retrieve workspace upload usage
[**ImportDataUsingPOST**](AdministrativeTasksApi.md#ImportDataUsingPOST) | **Post** /api/v1/admin/import | Import data
[**ValidateFilesUsingPOST**](AdministrativeTasksApi.md#ValidateFilesUsingPOST) | **Post** /api/v1/admin/validation/files | Validate files
[**ValidateTablesUsingPOST**](AdministrativeTasksApi.md#ValidateTablesUsingPOST) | **Post** /api/v1/admin/validation/tables | Validate tables


# **DeleteWorkspaceUsingDELETE**
> BaseResponseOfstring DeleteWorkspaceUsingDELETE()

Delete a single workspace

Deletes all information in the workspace of the request. <b>This is a final operation and can't be undone</b>. Any state left in the workspace due to an error is in an indeterminate state and shouldn't be trusted. Some non-private information may be kept for auditing and metric purposes.


### Parameters
This endpoint does not need any parameter.

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ExportWorkspaceUsingGET**
> BaseResponseOfTokenDto ExportWorkspaceUsingGET()

Export a single workspace

Returns a file that represents the entirety of the workspace of the request. You can upload this file into another workspace to replicate this one.


### Parameters
This endpoint does not need any parameter.

### Return type

[**BaseResponseOfTokenDto**](BaseResponseOfTokenDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **FindWorkspaceFilesBySizeUsingGET**
> PagedResponseOfFileMetaDto FindWorkspaceFilesBySizeUsingGET($limit, $cursor, $offset)

Retrieve workspace files by size

Returns a paged collection of the file meta associated with the workspace of the request, ordered by size.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int32**| The number of file meta objects to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfFileMetaDto**](PagedResponseOfFileMetaDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetWorkspaceQueryUsageUsingGET**
> BaseResponseOflong GetWorkspaceQueryUsageUsingGET($startDate, $stopDate)

Retrieve workspace query usage

Returns a Long that represents the number of bytes queried by the workspace of the request since the start time provided.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **startDate** | **string**| The earliest date of usage to consider | [optional] [default to 1970-01-01]
 **stopDate** | **string**| The end date of usage to consider | [optional] [default to 9999-01-01]

### Return type

[**BaseResponseOflong**](BaseResponseOflong.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetWorkspaceUploadUsageUsingGET**
> BaseResponseOflong GetWorkspaceUploadUsageUsingGET($startDate, $stopDate)

Retrieve workspace upload usage

Returns a Long that represents the number of bytes uploaded by the workspace associated with this request from the start time provided to now.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **startDate** | **string**| The starting point to begin considering usage | [optional] [default to 1970-01-01]
 **stopDate** | **string**| The ending point when considering usage | [optional] [default to 9999-01-01]

### Return type

[**BaseResponseOflong**](BaseResponseOflong.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ImportDataUsingPOST**
> BaseResponseOfstring ImportDataUsingPOST($file, $wipe)

Import data

By default, deletes all information in the workspace of the request. <b>This is a final operation and can't be undone.</b>  Any state left in the workspace due to an error is in an indeterminate state and shouldn't be trusted. Some non-private information may be kept for auditing and metric purposes. After the delete, it then imports the tables, tags, and queries in the provided cb file into the workspace. <br><br>This is an asynchronous operation. Returns a 201 when the file is correctly decoded and its tables, queries, and tags are saved. Files continue to import after this call completes.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file** | ***os.File**| The file containing workspace information to import | [optional] 
 **wipe** | **bool**| wipe | [optional] [default to true]

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ValidateFilesUsingPOST**
> BaseResponseOfValidateFilesDto ValidateFilesUsingPOST($validateFilesDto)

Validate files

Validates files associated with the provided table ID. Validation repairs any files in an inconsistent state, and deletes those without enough state to recover. All files deleted or repaired are returned.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **validateFilesDto** | [**StartValidateFilesDto**](StartValidateFilesDto.md)| The representation of the file to validate | [optional] 

### Return type

[**BaseResponseOfValidateFilesDto**](BaseResponseOfValidateFilesDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ValidateTablesUsingPOST**
> BaseResponseOfValidateTablesDto ValidateTablesUsingPOST()

Validate tables

Validates the tables in the workspace associated with the request. Validation returns an entity that indicates the tables deleted due to bad state, and those with enough state and repaired.


### Parameters
This endpoint does not need any parameter.

### Return type

[**BaseResponseOfValidateTablesDto**](BaseResponseOfValidateTablesDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

