# \ConnectionManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetConnectionUsingGET**](ConnectionManagementApi.md#GetConnectionUsingGET) | **Get** /api/v1/connections/{connectionId} | Get connection details
[**GetRefreshBatchStatusUsingGET**](ConnectionManagementApi.md#GetRefreshBatchStatusUsingGET) | **Get** /api/v1/connections/batch/refresh/{batchId} | Gets the status of a batch refresh
[**GetRefreshStatusUsingGET**](ConnectionManagementApi.md#GetRefreshStatusUsingGET) | **Get** /api/v1/connections/{connectionId}/status | Get connection refresh status
[**ListConnectionsUsingGET**](ConnectionManagementApi.md#ListConnectionsUsingGET) | **Get** /api/v1/connections | List connections
[**RefreshBatchUsingPOST**](ConnectionManagementApi.md#RefreshBatchUsingPOST) | **Post** /api/v1/connections/batch/refresh | Refresh batch of connections
[**RefreshConnectionUsingPOST**](ConnectionManagementApi.md#RefreshConnectionUsingPOST) | **Post** /api/v1/connections/{connectionId}/refresh | Refresh connection


# **GetConnectionUsingGET**
> BaseResponseOfConnectionDto GetConnectionUsingGET($connectionId)

Get connection details

Returns details about a specific connection, based on its ID


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **connectionId** | **string**| The ID of the connection to return details about | 

### Return type

[**BaseResponseOfConnectionDto**](BaseResponseOfConnectionDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetRefreshBatchStatusUsingGET**
> BaseResponseOfRefreshBatchDto GetRefreshBatchStatusUsingGET($batchId)

Gets the status of a batch refresh

Returns details about a specific batch refresh, based on its ID.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **batchId** | **string**| The ID of the batch to return details about | 

### Return type

[**BaseResponseOfRefreshBatchDto**](BaseResponseOfRefreshBatchDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetRefreshStatusUsingGET**
> BaseResponseOfConnectionRunDto GetRefreshStatusUsingGET($connectionId, $jobId)

Get connection refresh status

Returns details about a specific connection refresh status, based on its ID. To retrieve details about a specific refresh, provide its 'jobId'.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **connectionId** | **string**| The ID of the connection to return details about | 
 **jobId** | **string**| The ID of the job running for a connection | [optional] 

### Return type

[**BaseResponseOfConnectionRunDto**](BaseResponseOfConnectionRunDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListConnectionsUsingGET**
> PagedResponseOfConnectionDto ListConnectionsUsingGET($sourceType, $destinationType, $sourceId, $destinationId, $limit, $cursor, $offset)

List connections

A pageable endpoint to list data connections between features of the Workiva platform


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sourceType** | **string**| The type of file or item the connection pulls data from | [optional] 
 **destinationType** | **string**| The type of file or item the connection sends data to | [optional] 
 **sourceId** | **string**| The ID of the file or item the connection pulls data from | [optional] 
 **destinationId** | **string**| The ID of the file or item the connection sends data to | [optional] 
 **limit** | **int32**| The number of connections to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfConnectionDto**](PagedResponseOfConnectionDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RefreshBatchUsingPOST**
> BaseResponseOfRefreshBatchDto RefreshBatchUsingPOST($refreshConnectionDtos)

Refresh batch of connections

Refreshes multiple connections at once, based on their IDs


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **refreshConnectionDtos** | [**[]RefreshConnectionDto**](RefreshConnectionDto.md)| refreshConnectionDtos | 

### Return type

[**BaseResponseOfRefreshBatchDto**](BaseResponseOfRefreshBatchDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RefreshConnectionUsingPOST**
> BaseResponseOfConnectionRunDto RefreshConnectionUsingPOST($connectionId, $refreshConnectionDto)

Refresh connection

Refreshes a specific connection, based on its ID


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **connectionId** | **string**| The ID of the connection to refresh | 
 **refreshConnectionDto** | [**RefreshConnectionDto**](RefreshConnectionDto.md)| refreshConnectionDto | 

### Return type

[**BaseResponseOfConnectionRunDto**](BaseResponseOfConnectionRunDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

