# \FileManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DeleteFileUsingDELETE**](FileManagementApi.md#DeleteFileUsingDELETE) | **Delete** /api/v1/file/{fileId} | Delete a single file
[**DownloadFileUsingGET**](FileManagementApi.md#DownloadFileUsingGET) | **Get** /api/v1/file/{fileId}/download | Download a single file
[**ExportFileToSpreadsheetsUsingPOST**](FileManagementApi.md#ExportFileToSpreadsheetsUsingPOST) | **Post** /api/v1/file/{fileId}/export | Export a file to spreadsheets
[**GetErrorsUsingGET**](FileManagementApi.md#GetErrorsUsingGET) | **Get** /api/v1/file/{fileId}/error | Retrieve errors
[**GetFileUsingGET**](FileManagementApi.md#GetFileUsingGET) | **Get** /api/v1/file/{fileId} | Retrieve a single file
[**GetFilesUsingGET**](FileManagementApi.md#GetFilesUsingGET) | **Get** /api/v1/file | Retrieve a list of files
[**UploadFileUsingPOST**](FileManagementApi.md#UploadFileUsingPOST) | **Post** /api/v1/file | Upload a single file
[**ValidateFilenameUsingGET**](FileManagementApi.md#ValidateFilenameUsingGET) | **Get** /api/v1/file/validateName | Validate whether a file with the filename can be uploaded to the table


# **DeleteFileUsingDELETE**
> BaseResponseOfstring DeleteFileUsingDELETE($fileId)

Delete a single file

Unstages the file with the provided ID. The file must have a STAGED status; if the file isn't STAGED, returns a 409 status. If the file isn't found, this is a no-op.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fileId** | **string**| The unique identifier of the file | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DownloadFileUsingGET**
> string DownloadFileUsingGET($fileId)

Download a single file

Returns a file with the provided ID, which points to a file meta ID.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fileId** | **string**| The unique identifier of the file | 

### Return type

**string**

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ExportFileToSpreadsheetsUsingPOST**
> BaseResponseOfSpreadsheetInfoDto ExportFileToSpreadsheetsUsingPOST($fileId, $exportFileDto)

Export a file to spreadsheets

Exports the file ID identified in the path to the spreadsheet identified by the provided URL. If the URL string is empty, creates and returns a new spreadsheet and its sheet IDs.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fileId** | **string**| The unique identifier of the file | 
 **exportFileDto** | [**ExportFileDto**](ExportFileDto.md)| The representation of the file to export | [optional] 

### Return type

[**BaseResponseOfSpreadsheetInfoDto**](BaseResponseOfSpreadsheetInfoDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetErrorsUsingGET**
> PagedResponseOfImportErrorDto GetErrorsUsingGET($fileId, $limit, $cursor, $offset)

Retrieve errors

Returns a paged list of operation errors during the upload, import, or tagging processes for the provided file ID, if they exist. This list is immutable and may be empty if no errors have occurred. If errors exist we recommend fixing them and reimporting your file


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fileId** | **string**| The unique identifier of the file | 
 **limit** | **int32**| The number of errors to return, from 1 to 50; by default, 50 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfImportErrorDto**](PagedResponseOfImportErrorDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetFileUsingGET**
> BaseResponseOfFileMetaDto GetFileUsingGET($fileId)

Retrieve a single file

Returns the file meta that matches the provided ID, or a 404 if an associated file can't be found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fileId** | **string**| The unique identifier of the file | 

### Return type

[**BaseResponseOfFileMetaDto**](BaseResponseOfFileMetaDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetFilesUsingGET**
> PagedResponseOfFileMetaDto GetFilesUsingGET($tableId, $limit, $cursor, $offset, $sortOrder, $sortBy, $searchText)

Retrieve a list of files

Returns a paged list of all files associated with the provided table ID, as well as metadata associated with each file.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique table identifier associated with this file | 
 **limit** | **int32**| The number of files to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 
 **sortOrder** | **string**| The sort order for the files being returned | [optional] 
 **sortBy** | **string**| The column to use the sort order on | [optional] 
 **searchText** | **string**| The text to filter the results upon; matching the file name | [optional] 

### Return type

[**PagedResponseOfFileMetaDto**](PagedResponseOfFileMetaDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UploadFileUsingPOST**
> BaseResponseOfFileMetaDto UploadFileUsingPOST($tableId, $file, $name, $url, $source, $delimiter)

Upload a single file

Accepts CSV, TSV, or JSON files, or a ZIP file that contains a single CSV, TSV, or JSON file. If a ZIP, it must contain a CSV, TSV, or JSON file, and the name of the CSV, TSV, or JSON file is also used with the imported file. Downloading this file again downloads the source. Note that all files uploaded must have a .csv, .tsv, or .json extension. JSON files are expected to have a single JSON record per line; a JSON file is a series of JSON objects delimited by a newline character.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique table identifier associated with this file | 
 **file** | ***os.File**| The physical file to upload | [optional] 
 **name** | **string**| No longer in use, here to ensure backwards compatibility | [optional] 
 **url** | **string**| No longer in use, here to ensure backwards compatibility | [optional] 
 **source** | **string**| The data source to associate with the file, no more than 255 characters. This field is not in use; it only keeps track of the source | [optional] 
 **delimiter** | **string**| The character to use as a delimiter within the file to separate one field from another.  The default is comma | [optional] 

### Return type

[**BaseResponseOfFileMetaDto**](BaseResponseOfFileMetaDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ValidateFilenameUsingGET**
> BaseResponseOfstring ValidateFilenameUsingGET($tableId, $filename)

Validate whether a file with the filename can be uploaded to the table

If the filename is valid, this returns 200. If the table already has a file with the same name, this returns 409. If the user isn't allowed to read the table, or if the table isn't found, this returns 404.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The ID of the table to upload the file to | 
 **filename** | **string**| The name of the file to upload | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

