# FileMetaDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ColumnMappings** | **map[string]string** | Maps the columns in the physical file (CSV or JSON) to the columns in fact table &#x3D; {\&quot;physical_col1\&quot;:\&quot;table_col1\&quot;, \&quot;physical_col2\&quot;:\&quot;table_col2\&quot;} | [optional] [default to null]
**Created** | [**time.Time**](time.Time.md) | When the entity was created | [optional] [default to null]
**Delimiter** | **string** | The character to use as a delimiter within the file to separate one field from another.  The default is comma | [optional] [default to null]
**Id** | **string** | The entity&#39;s unique identifier | [optional] [default to null]
**Key** | **string** | The key is here for backwards compatibility only and will always be an empty string. | [optional] [default to null]
**Metadata** | [**map[string]map[string]Object**](map.md) | The file&#39;s meta data | [optional] [default to null]
**Name** | **string** | The name of the file | [optional] [default to null]
**NumErrors** | **int64** | Number of errors found in the file | [optional] [default to null]
**NumRecords** | **int64** | Number of records imported from this file.  This will only be non-zero if the file is in the IMPORTED status. | [optional] [default to null]
**OriginalFileSize** | **int64** | Size of the original file that was uploaded. | [optional] [default to null]
**Source** | **string** | URI that describes the source location of this file if imported from another system. For instance, this will have a spreadsheet URL if this file was imported from spreadsheets. This will be null if the file was uploaded using the data prep API. | [optional] [default to null]
**Status** | **string** | The files&#39;s current status | [optional] [default to null]
**TableId** | **string** | The unique identifier for the table | [optional] [default to null]
**Tags** | **map[string]string** | The tags associated with the file | [optional] [default to null]
**Updated** | [**time.Time**](time.Time.md) | When the entity was last updated | [optional] [default to null]
**UserId** | **string** | The owner of the entity | [optional] [default to null]
**Version** | **int64** | The version of the current representation of the entity | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


