# \FolderManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateFolderUsingPOST**](FolderManagementApi.md#CreateFolderUsingPOST) | **Post** /api/v1/folder | Create a new folder
[**DeleteFolderUsingDELETE**](FolderManagementApi.md#DeleteFolderUsingDELETE) | **Delete** /api/v1/folder/{folderId} | Delete a single folder
[**GetFolderUsingGET**](FolderManagementApi.md#GetFolderUsingGET) | **Get** /api/v1/folder/{folderId} | Retrieve a single folder
[**ListChildrenUsingGET**](FolderManagementApi.md#ListChildrenUsingGET) | **Get** /api/v1/folder/{folderId}/children | Retrieve list of folder contents
[**ListFoldersUsingGET**](FolderManagementApi.md#ListFoldersUsingGET) | **Get** /api/v1/folder | Retrieve a list of folders
[**SearchUsingGET**](FolderManagementApi.md#SearchUsingGET) | **Get** /api/v1/entity | Search
[**SetChildrenUsingPOST**](FolderManagementApi.md#SetChildrenUsingPOST) | **Post** /api/v1/folder/{folderId}/children | Move content into a folder
[**UpdateFolderUsingPUT**](FolderManagementApi.md#UpdateFolderUsingPUT) | **Put** /api/v1/folder/{folderId} | Update a single folder


# **CreateFolderUsingPOST**
> BaseResponseOfFolderDto CreateFolderUsingPOST($folderDto)

Create a new folder

Creates a folder using the provided information and returns the folder meta.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **folderDto** | [**FolderDto**](FolderDto.md)| The representation of the folder to create | [optional] 

### Return type

[**BaseResponseOfFolderDto**](BaseResponseOfFolderDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteFolderUsingDELETE**
> BaseResponseOfstring DeleteFolderUsingDELETE($folderId)

Delete a single folder

Deletes the folder with the provided ID.  If the folder is not found, this is a no-op. <b>All files and sub-folders are also recursively deleted.</b>


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **folderId** | **string**| The unique identifier of the folder | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetFolderUsingGET**
> BaseResponseOfFolderDto GetFolderUsingGET($folderId)

Retrieve a single folder

Returns a folder with the provided ID, or a 404 if no matching folder is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **folderId** | **string**| The unique identifier of the folder | 

### Return type

[**BaseResponseOfFolderDto**](BaseResponseOfFolderDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListChildrenUsingGET**
> PagedResponseOfFolderableDto ListChildrenUsingGET($folderId, $limit, $cursor, $offset)

Retrieve list of folder contents

Returns a paged list of all children whose parent ID matches the provided folder ID.  If the folder ID in the path is the literal 'null' value, returns a list of all entities with no parent.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **folderId** | **string**| The unique identifier of the folder | 
 **limit** | **int32**| The number of folders to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfFolderableDto**](PagedResponseOfFolderableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListFoldersUsingGET**
> PagedResponseOfFolderDto ListFoldersUsingGET($limit, $cursor, $offset)

Retrieve a list of folders

Returns a paged list of all folders associated with the workspace.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int32**| The number of folders to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfFolderDto**](PagedResponseOfFolderDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **SearchUsingGET**
> PagedResponseOfFolderableDto SearchUsingGET($name, $description, $type_, $limit, $cursor, $offset)

Search

Returns a list of all entities that match the provided criteria. Both name and description are fuzzy matches; they match _any_ entity that contains the provided string. The type is used to filter results based on the provided type of entity.  The consumer must have READ access on all returned entities.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **string**| The name to use when fuzzy-matching entities | [optional] 
 **description** | **string**| The description to use when fuzzy-matching entities | [optional] 
 **type_** | [**[]int32**](int32.md)| To limit the scope, the type of entity to return in the results | [optional] 
 **limit** | **int32**| The number of folders to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfFolderableDto**](PagedResponseOfFolderableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **SetChildrenUsingPOST**
> BaseResponseOfCollectionOfFolderableDto SetChildrenUsingPOST($folderId, $children)

Move content into a folder

Sets the children of a folder using the entities' types and IDs provided in the body. If the entities previously resided under a folder, including the root, they move to the folder with the provided ID. If the provided ID is 'null', the entities move to the root folder.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **folderId** | **string**| The unique identifier of the folder | 
 **children** | [**[]FolderableDto**](FolderableDto.md)| The representation of the entities to drop into the folder | [optional] 

### Return type

[**BaseResponseOfCollectionOfFolderableDto**](BaseResponseOfCollectionOfFolderableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateFolderUsingPUT**
> BaseResponseOfFolderDto UpdateFolderUsingPUT($folderId, $folderDto)

Update a single folder

Updates the folder that matches the provided ID with the details provided in the body.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **folderId** | **string**| The unique identifier of the folder | 
 **folderDto** | [**FolderDto**](FolderDto.md)| The representation of the folder to update | [optional] 

### Return type

[**BaseResponseOfFolderDto**](BaseResponseOfFolderDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

