# \ParameterManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateParameterUsingPOST**](ParameterManagementApi.md#CreateParameterUsingPOST) | **Post** /api/v1/parameter | Create parameter
[**DeleteParameterUsingDELETE**](ParameterManagementApi.md#DeleteParameterUsingDELETE) | **Delete** /api/v1/parameter/{parameterId} | Delete Parameter
[**GetParameterUsingGET**](ParameterManagementApi.md#GetParameterUsingGET) | **Get** /api/v1/parameter/{parameterId} | Get Parameter
[**ListParametersUsingGET**](ParameterManagementApi.md#ListParametersUsingGET) | **Get** /api/v1/parameter | Get Parameters
[**UpdateParameterUsingPUT**](ParameterManagementApi.md#UpdateParameterUsingPUT) | **Put** /api/v1/parameter/{parameterId} | Update Parameter


# **CreateParameterUsingPOST**
> BaseResponseOfGlobalParameterDto CreateParameterUsingPOST($parameterDto)

Create parameter

Creates a parameter.  If there is a parameter with the same ID, a 409 is returned.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parameterDto** | [**GlobalParameterDto**](GlobalParameterDto.md)| The representation of the parameter to create | [optional] 

### Return type

[**BaseResponseOfGlobalParameterDto**](BaseResponseOfGlobalParameterDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteParameterUsingDELETE**
> BaseResponseOfstring DeleteParameterUsingDELETE($parameterId)

Delete Parameter

Deletes the parameter with the provided parameter ID.  If the parameter is not found, this is a no-op.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parameterId** | **string**| The unique identifier of the parameter | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetParameterUsingGET**
> BaseResponseOfGlobalParameterDto GetParameterUsingGET($parameterId)

Get Parameter

Returns a parameter matching the provided parameter ID.  If no matching entity can be found, a 404 status is returned.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parameterId** | **string**| The unique identifier of the parameter | 

### Return type

[**BaseResponseOfGlobalParameterDto**](BaseResponseOfGlobalParameterDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListParametersUsingGET**
> PagedResponseOfGlobalParameterDto ListParametersUsingGET($limit, $cursor, $offset)

Get Parameters

Returns a list of all parameters associated with the workspace.  By default, these parameters are ordered by their names in ascending order.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int32**| The number of parameters to return, must be between 1 and 1000, will default to 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included the limit is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, must be greater than or equal to 0, will default to 0 | [optional] 

### Return type

[**PagedResponseOfGlobalParameterDto**](PagedResponseOfGlobalParameterDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateParameterUsingPUT**
> BaseResponseOfGlobalParameterDto UpdateParameterUsingPUT($parameterId, $parameterDto)

Update Parameter

Updates the parameter matching the provided ID in the provided payload.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parameterId** | **string**| The unique identifier of the parameter | 
 **parameterDto** | [**GlobalParameterDto**](GlobalParameterDto.md)| The representation of the parameter to update | [optional] 

### Return type

[**BaseResponseOfGlobalParameterDto**](BaseResponseOfGlobalParameterDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

