# \PivotViewManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreatePivotViewUsingPOST**](PivotViewManagementApi.md#CreatePivotViewUsingPOST) | **Post** /api/v1/pivotview | Create a new pivot view
[**DeletePivotViewUsingDELETE**](PivotViewManagementApi.md#DeletePivotViewUsingDELETE) | **Delete** /api/v1/pivotview/{pivotViewId} | Delete a single pivot view
[**DownloadPivotViewTokenUsingGET**](PivotViewManagementApi.md#DownloadPivotViewTokenUsingGET) | **Get** /api/v1/pivotview/{pivotViewId}/token | This endpoint is deprecated. It not longer functions as intended, as pivotingquery results is now handled by cross tab queries. This endpoint will be removedon September 1, 2020.
[**DownloadPivotViewUsingGET**](PivotViewManagementApi.md#DownloadPivotViewUsingGET) | **Get** /api/v1/pivotview/{pivotViewId}/download | This endpoint is deprecated. It not longer functions as intended, as pivotingquery results is now handled by cross tab queries. This endpoint will be removedon September 1, 2020.
[**GetPivotViewUsingGET**](PivotViewManagementApi.md#GetPivotViewUsingGET) | **Get** /api/v1/pivotview/{pivotViewId} | Retrieve a single pivot view
[**ListPivotViewsUsingGET**](PivotViewManagementApi.md#ListPivotViewsUsingGET) | **Get** /api/v1/pivotview | Retrieve a list of pivot views
[**UpdatePivotViewUsingPUT**](PivotViewManagementApi.md#UpdatePivotViewUsingPUT) | **Put** /api/v1/pivotview/{pivotViewId} | Update a single pivot view


# **CreatePivotViewUsingPOST**
> BaseResponseOfPivotViewDto CreatePivotViewUsingPOST($pivotViewDto)

Create a new pivot view

Creates a view from the provided information. Currently, persists the provided `additionalMetadata` field, which can store an arbitrary JSON definition of a pivot table view. This pivot table must be associated with a query, and can optionally be associated with a query result. When a query is deleted, its associated views are also deleted.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pivotViewDto** | [**PivotViewDto**](PivotViewDto.md)| The representation of the view to create | [optional] 

### Return type

[**BaseResponseOfPivotViewDto**](BaseResponseOfPivotViewDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeletePivotViewUsingDELETE**
> BaseResponseOfstring DeletePivotViewUsingDELETE($pivotViewId)

Delete a single pivot view

Deletes a view that matches the provided ID.  This is an administrative method and should be assumed a hard-delete, given no capability to restore a deleted view is available.  A no-op if no such view exists.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pivotViewId** | **string**| The unique identifier of the pivot view | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DownloadPivotViewTokenUsingGET**
> BaseResponseOfTokenDto DownloadPivotViewTokenUsingGET($pivotViewId)

This endpoint is deprecated. It not longer functions as intended, as pivotingquery results is now handled by cross tab queries. This endpoint will be removedon September 1, 2020.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pivotViewId** | **string**| The unique identifier of the pivot view | 

### Return type

[**BaseResponseOfTokenDto**](BaseResponseOfTokenDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DownloadPivotViewUsingGET**
> string DownloadPivotViewUsingGET($pivotViewId)

This endpoint is deprecated. It not longer functions as intended, as pivotingquery results is now handled by cross tab queries. This endpoint will be removedon September 1, 2020.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pivotViewId** | **string**| The unique identifier of the pivot view | 

### Return type

**string**

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetPivotViewUsingGET**
> BaseResponseOfPivotViewDto GetPivotViewUsingGET($pivotViewId)

Retrieve a single pivot view

Returns a view with the provided ID, or a 404 if no view matches the ID.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pivotViewId** | **string**| The unique identifier of the pivot view | 

### Return type

[**BaseResponseOfPivotViewDto**](BaseResponseOfPivotViewDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListPivotViewsUsingGET**
> PagedResponseOfPivotViewDto ListPivotViewsUsingGET($queryId, $limit, $cursor, $offset)

Retrieve a list of pivot views

Returns a paged list of views in the workspace of the request. If queryId is provided, the results are limited to only views associated with the query ID.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryId** | **string**| The unique query identifier to filter the views | 
 **limit** | **int32**| The number of views to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfPivotViewDto**](PagedResponseOfPivotViewDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdatePivotViewUsingPUT**
> BaseResponseOfPivotViewDto UpdatePivotViewUsingPUT($pivotViewId, $pivotViewDto)

Update a single pivot view

Updates the view that matches the provided ID with the details provided in the body. The associated query can't be updated, so providing the query ID has no effect.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pivotViewId** | **string**| The unique identifier of the pivot view | 
 **pivotViewDto** | [**PivotViewDto**](PivotViewDto.md)| The representation of the pivot view to create | [optional] 

### Return type

[**BaseResponseOfPivotViewDto**](BaseResponseOfPivotViewDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

