# \QueryManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CancelQueryUsingDELETE**](QueryManagementApi.md#CancelQueryUsingDELETE) | **Delete** /api/v1/queryresult/{queryResultId} | Cancel a running query
[**CreateQueryUsingPOST**](QueryManagementApi.md#CreateQueryUsingPOST) | **Post** /api/v1/query | Create a new query
[**DeleteQueryUsingDELETE**](QueryManagementApi.md#DeleteQueryUsingDELETE) | **Delete** /api/v1/query/{queryId} | Delete a single query
[**DownloadQueryResultUsingGET**](QueryManagementApi.md#DownloadQueryResultUsingGET) | **Get** /api/v1/queryresult/{queryResultId}/download | Download a query result
[**ExportQueryResultToSpreadsheetsUsingPOST**](QueryManagementApi.md#ExportQueryResultToSpreadsheetsUsingPOST) | **Post** /api/v1/queryresult/{queryResultId}/export | Export query result to spreadsheets
[**GetDependenciesUsingGET**](QueryManagementApi.md#GetDependenciesUsingGET) | **Get** /api/v1/query/{queryId}/dependencies | Retrieve dependencies
[**GetQueryColumnDataUsingPOST**](QueryManagementApi.md#GetQueryColumnDataUsingPOST) | **Post** /api/v1/query/data | Retrieve query column data
[**GetQueryResultUsingGET**](QueryManagementApi.md#GetQueryResultUsingGET) | **Get** /api/v1/queryresult/{queryResultId} | Retrieve a single query result
[**GetQueryUsingGET**](QueryManagementApi.md#GetQueryUsingGET) | **Get** /api/v1/query/{queryId} | Retrieve a single query
[**GetTablesDependentOnQueryUsingGET**](QueryManagementApi.md#GetTablesDependentOnQueryUsingGET) | **Get** /api/v1/query/{queryId}/dependents | Retrieve a list of dependents
[**IsQueryValidUsingPOST**](QueryManagementApi.md#IsQueryValidUsingPOST) | **Post** /api/v1/query/validation | Parses the query to determine if it is valid
[**ListQueriesUsingGET**](QueryManagementApi.md#ListQueriesUsingGET) | **Get** /api/v1/query | Retrieve list of queries
[**ListQueryResultsUsingGET**](QueryManagementApi.md#ListQueryResultsUsingGET) | **Get** /api/v1/queryresult | Retrieve a list of query results
[**PreviewQueryUsingPOST**](QueryManagementApi.md#PreviewQueryUsingPOST) | **Post** /api/v1/query/preview/{tableId} | Preview a query
[**RunQueryUsingPOST**](QueryManagementApi.md#RunQueryUsingPOST) | **Post** /api/v1/queryresult | Execute a query
[**UpdateQueryUsingPUT**](QueryManagementApi.md#UpdateQueryUsingPUT) | **Put** /api/v1/query/{queryId} | Update a single query


# **CancelQueryUsingDELETE**
> BaseResponseOfQueryResultDto CancelQueryUsingDELETE($queryResultId)

Cancel a running query

Cancels a running query based on the provided result ID, and returns a cancelled result unless the query's already in a COMPLETED state.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryResultId** | **string**| The unique identifier of the query result | 

### Return type

[**BaseResponseOfQueryResultDto**](BaseResponseOfQueryResultDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **CreateQueryUsingPOST**
> BaseResponseOfQueryDto CreateQueryUsingPOST($queryDto)

Create a new query

Creates a query object and validates full permissions to ensure the requestor has access to all data sources being queried. This endpoint _doesn't_ execute the query; to execute, call the POST /queryresult method.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryDto** | [**QueryDto**](QueryDto.md)| The representation of the query to create | [optional] 

### Return type

[**BaseResponseOfQueryDto**](BaseResponseOfQueryDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteQueryUsingDELETE**
> BaseResponseOfstring DeleteQueryUsingDELETE($queryId)

Delete a single query

Deletes the query that matches the provided ID. If no such query is found, this is a no-op.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryId** | **string**| The unique identifier of the query | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DownloadQueryResultUsingGET**
> string DownloadQueryResultUsingGET($queryResultId)

Download a query result

Uses the Token Management API to create a token with the query result ID, which it then uses to download a CSV file of the query results.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryResultId** | **string**| The unique identifier of the query result | 

### Return type

**string**

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ExportQueryResultToSpreadsheetsUsingPOST**
> BaseResponseOfstring ExportQueryResultToSpreadsheetsUsingPOST($queryResultId, $dto)

Export query result to spreadsheets

Exports a query result with the provided ID to Spreadsheets. To determine where to export the results, the request body should include a URL copied and pasted from the Spreadsheets UI. Returns a 404 if no matching query result is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryResultId** | **string**| The unique identifier of the query result | 
 **dto** | [**ExportQueryResultDto**](ExportQueryResultDto.md)| The representation of the export query result | [optional] 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetDependenciesUsingGET**
> PagedResponseOfTableDto GetDependenciesUsingGET($queryId, $limit, $cursor, $offset)

Retrieve dependencies

Returns an unordered collection of all tables the matching query uses as datasources, including any shared tables outside of this OAuth token's workspace. The endpoint verifies the user has read permissions on the query, but _not_ on the tables returned.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryId** | **string**| The unique identifier of the query | 
 **limit** | **int32**| The number of dependencies to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfTableDto**](PagedResponseOfTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetQueryColumnDataUsingPOST**
> BaseResponseOfQueryColumnDataDto GetQueryColumnDataUsingPOST($queryTextDto)

Retrieve query column data

Returns a QueryColumnDataDto representing the column data for the given query text. If the query isn't valid, returns a 400.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryTextDto** | [**QueryTextDto**](QueryTextDto.md)| The query text to parse, up to 30000 characters; must not be null or empty | 

### Return type

[**BaseResponseOfQueryColumnDataDto**](BaseResponseOfQueryColumnDataDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetQueryResultUsingGET**
> BaseResponseOfQueryResultDto GetQueryResultUsingGET($queryResultId)

Retrieve a single query result

Returns a single query result that matches the provided ID, or a 404 if no such query result is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryResultId** | **string**| The unique identifier of the query result | 

### Return type

[**BaseResponseOfQueryResultDto**](BaseResponseOfQueryResultDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetQueryUsingGET**
> BaseResponseOfQueryDto GetQueryUsingGET($queryId)

Retrieve a single query

Returns a query that matches the provided ID, or a 404 if no matching query is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryId** | **string**| The unique identifier of the query | 

### Return type

[**BaseResponseOfQueryDto**](BaseResponseOfQueryDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetTablesDependentOnQueryUsingGET**
> PagedResponseOfTableDto GetTablesDependentOnQueryUsingGET($queryId, $limit, $cursor, $offset)

Retrieve a list of dependents

Returns a list of all tables that use the query with provided ID as a datasource. 


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryId** | **string**| The unique identifier of the query | 
 **limit** | **int32**| The number of folders to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfTableDto**](PagedResponseOfTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **IsQueryValidUsingPOST**
> BaseResponseOfQueryDto IsQueryValidUsingPOST($queryDto)

Parses the query to determine if it is valid

Returns the provided QueryDto


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryDto** | [**QueryDto**](QueryDto.md)| The representation of the created query | [optional] 

### Return type

[**BaseResponseOfQueryDto**](BaseResponseOfQueryDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListQueriesUsingGET**
> PagedResponseOfQueryDto ListQueriesUsingGET($limit, $cursor, $offset)

Retrieve list of queries

Returns a list of all non-temporary queries associated with the workspace. By default, these queries are ordered by their names, in ascending order.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int32**| The number of queries to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfQueryDto**](PagedResponseOfQueryDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListQueryResultsUsingGET**
> PagedResponseOfQueryResultDto ListQueryResultsUsingGET($queryId, $cursor, $limit, $offset)

Retrieve a list of query results

Returns a paged list of query results that match the provided query ID, or an empty list if no matching query is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryId** | **string**| The unique identifier of the query | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **limit** | **int32**| The number of query results to return, from 1 to 1000; by default, 1000 | [optional] [default to 1000]
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] [default to 0]

### Return type

[**PagedResponseOfQueryResultDto**](PagedResponseOfQueryResultDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PreviewQueryUsingPOST**
> BaseResponseOfQueryDto PreviewQueryUsingPOST($tableId, $limit, $fileName)

Preview a query

Creates a limited scope query object, but does _not_ execute it. The query selects all values against the provided table, up to 10 rows. This endpoint may allow unpermissioned users to preview table data; full permissions to datasources are _not_ validated.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The identifier of the table to query | 
 **limit** | **int32**| The number of rows to return | [optional] 
 **fileName** | **string**| The name of the file to create | [optional] 

### Return type

[**BaseResponseOfQueryDto**](BaseResponseOfQueryDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RunQueryUsingPOST**
> BaseResponseOfQueryResultDto RunQueryUsingPOST($queryResultDto)

Execute a query

Runs a query and immediately returns a query result entity, which has an ID that can be used to poll the status from the GET /queryresult method. A status of COMPLETED or ERROR indicates the query has completed.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryResultDto** | [**QueryResultDto**](QueryResultDto.md)| The representation of the created query | [optional] 

### Return type

[**BaseResponseOfQueryResultDto**](BaseResponseOfQueryResultDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateQueryUsingPUT**
> BaseResponseOfQueryDto UpdateQueryUsingPUT($queryId, $queryDto)

Update a single query

Updates the query that matches the provided ID with the details provided in the body.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queryId** | **string**| The unique identifier of the query | 
 **queryDto** | [**QueryDto**](QueryDto.md)| The representation of the query to update | [optional] 

### Return type

[**BaseResponseOfQueryDto**](BaseResponseOfQueryDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

