# QueryResultDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**BytesScanned** | **int64** | The number of bytes scanned | [optional] [default to null]
**Columns** | [**[]ColumnInfoDto**](ColumnInfoDto.md) | If the query has successfully completed, contains a list of columns and their associated computed types from the query. | [optional] [default to null]
**Created** | [**time.Time**](time.Time.md) | When the entity was created | [optional] [default to null]
**Duration** | **int64** | The duration of time it took to execute the query | [optional] [default to null]
**Error_** | **string** | If an error was encountered during the query, this field will be populated with error text. | [optional] [default to null]
**Id** | **string** | The entity&#39;s unique identifier | [optional] [default to null]
**IsExplain** | **bool** | Determines if this query is to be explained and not executed | [optional] [default to null]
**Parameters** | [**map[string]Object**](object.md) | The query parameter map | [optional] [default to null]
**PivotStatus** | **string** | The current status of the pivot execution | [optional] [default to null]
**QueryDto** | [**QueryDto**](QueryDto.md) | Associated queryDto | [optional] [default to null]
**QueryId** | **string** | The identifier of the original query | [optional] [default to null]
**QueryParameters** | [**[]QueryParameterDto**](QueryParameterDto.md) | Contains the parameters available to the query at the time it was run. This allows consumers to go back in time and view the state of the query at runtime. For older query runs, this value may not be populated. | [optional] [default to null]
**QueryText** | **string** |  | [optional] [default to null]
**RowsReturned** | **int64** | Contains the number of rows returned from the query. | [optional] [default to null]
**Size** | **int64** | Contains the size of the query results in bytes. This can be used to determine how best to download the file and if it&#39;s reasonable to open it in a browser or other application. This may be 0 if there are no results or the query results were gathered before we started collecting this metric. | [optional] [default to null]
**Status** | **string** | The current status of the query execution | [optional] [default to null]
**Updated** | [**time.Time**](time.Time.md) | When the entity was last updated | [optional] [default to null]
**UserId** | **string** | The owner of the entity | [optional] [default to null]
**Version** | **int64** | The version of the current representation of the entity | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


