# \SelectListManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateSelectListUsingPOST**](SelectListManagementApi.md#CreateSelectListUsingPOST) | **Post** /api/v1/selectlist | Create a new select list
[**DeleteUsingDELETE**](SelectListManagementApi.md#DeleteUsingDELETE) | **Delete** /api/v1/selectlist/{selectListId} | Delete a single select list
[**GetSelectListUsingGET**](SelectListManagementApi.md#GetSelectListUsingGET) | **Get** /api/v1/selectlist/{selectListId} | Retrieve a single select list
[**ListSelectListsUsingGET**](SelectListManagementApi.md#ListSelectListsUsingGET) | **Get** /api/v1/selectlist | Retrieve a list of select lists
[**UpdateSelectListUsingPUT**](SelectListManagementApi.md#UpdateSelectListUsingPUT) | **Put** /api/v1/selectlist/{selectListId} | Update a single select list


# **CreateSelectListUsingPOST**
> BaseResponseOfSelectListDto CreateSelectListUsingPOST($selectListDto)

Create a new select list

Creates a select list using the provided information and returns the select list meta.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **selectListDto** | [**SelectListDto**](SelectListDto.md)| The representation of the select list to create | [optional] 

### Return type

[**BaseResponseOfSelectListDto**](BaseResponseOfSelectListDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteUsingDELETE**
> BaseResponseOfstring DeleteUsingDELETE($selectListId)

Delete a single select list

Deletes a select list with the provided ID. If no such select list exists, this is a no-op.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **selectListId** | **string**| The unique identifier of the select list | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetSelectListUsingGET**
> BaseResponseOfSelectListDto GetSelectListUsingGET($selectListId)

Retrieve a single select list

Returns a select list that matches the provided ID, or a 404 if no matching select list is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **selectListId** | **string**| The unique identifier of the select list | 

### Return type

[**BaseResponseOfSelectListDto**](BaseResponseOfSelectListDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListSelectListsUsingGET**
> PagedResponseOfSelectListDto ListSelectListsUsingGET($limit, $cursor, $offset)

Retrieve a list of select lists

Returns a list of select lists associated with the workspace.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int32**| The number of select lists to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfSelectListDto**](PagedResponseOfSelectListDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateSelectListUsingPUT**
> BaseResponseOfSelectListDto UpdateSelectListUsingPUT($selectListDto, $selectListId)

Update a single select list

Updates the select list with the provided ID with the details provided  in the body.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **selectListDto** | [**SelectListDto**](SelectListDto.md)| The representation of the select list to update | 
 **selectListId** | **string**| The unique identifier of the select list | 

### Return type

[**BaseResponseOfSelectListDto**](BaseResponseOfSelectListDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

