# \SharedTableManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateSharedTableUsingPOST**](SharedTableManagementApi.md#CreateSharedTableUsingPOST) | **Post** /api/v1/sharedtable | Create a new shared table
[**DeleteSharedTableUsingDELETE**](SharedTableManagementApi.md#DeleteSharedTableUsingDELETE) | **Delete** /api/v1/sharedtable/{sharedTableId} | Delete a single shared table
[**GetSharedTableUsingGET**](SharedTableManagementApi.md#GetSharedTableUsingGET) | **Get** /api/v1/sharedtable/{sharedTableId} | Retrieve a single shared table
[**ListSharedTablesUsingGET**](SharedTableManagementApi.md#ListSharedTablesUsingGET) | **Get** /api/v1/sharedtable | Retrieve a list of shared tables


# **CreateSharedTableUsingPOST**
> BaseResponseOfSharedTableDto CreateSharedTableUsingPOST($sharedTableDto)

Create a new shared table

Creates a shared table instance between the workspace of the request and the workspace provided in the body.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sharedTableDto** | [**SharedTableDto**](SharedTableDto.md)| The representation of the shared table to create | [optional] 

### Return type

[**BaseResponseOfSharedTableDto**](BaseResponseOfSharedTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteSharedTableUsingDELETE**
> BaseResponseOfstring DeleteSharedTableUsingDELETE($sharedTableId)

Delete a single shared table

Deletes the linkages between the source and destination of a shared table that matches the provided ID; the actual table itself is left intact. If no such shared table exists, this is a no-op.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sharedTableId** | **string**| The unique identifier of the shared table | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetSharedTableUsingGET**
> BaseResponseOfSharedTableDto GetSharedTableUsingGET($sharedTableId, $sharedWithMe)

Retrieve a single shared table

Returns a shared table that matches the provided ID, or a 404 if no matching shared table is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sharedTableId** | **string**| The unique identifier of the shared table | 
 **sharedWithMe** | **bool**| If true, returns a shared table with the provided ID that has been shared _to_—rather than from—the workspace of the request. | [optional] 

### Return type

[**BaseResponseOfSharedTableDto**](BaseResponseOfSharedTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListSharedTablesUsingGET**
> PagedResponseOfSharedTableDto ListSharedTablesUsingGET($tableId, $sharedWithMe, $limit, $cursor, $offset)

Retrieve a list of shared tables

Returns a list of shared tables associated with the workspace of the request.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique table identifier associated with the shared table | [optional] 
 **sharedWithMe** | **bool**| If true, returns a list of tables that have been shared _to_ it rather than from it. The entities contain both the shared table entity _and_ the table being shared. If true, &#x60;tableId&#x60; is ignored. | [optional] 
 **limit** | **int32**| The number of shared files to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfSharedTableDto**](PagedResponseOfSharedTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

