# TableDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Created** | [**time.Time**](time.Time.md) | When the entity was created | [optional] [default to null]
**DatabaseId** | **string** | The unique identifier of the database where the table resides. | [optional] [default to null]
**DatasetUpdated** | [**time.Time**](time.Time.md) | The last time that the data set for this table was modified. | [optional] [default to null]
**Deleted** | **bool** | This is for backwards compatibility only and will always return false. | [optional] [default to null]
**Description** | **string** | May be at most 255 characters in length | [optional] [default to null]
**Id** | **string** | The entity&#39;s unique identifier | [optional] [default to null]
**IsShared** | **bool** | A property indicating if this table is shared to any destination. | [default to null]
**LastUploaded** | [**time.Time**](time.Time.md) | Contains the date and time of the last file that was imported into the table. Valuable for determining if the data is stale. | [optional] [default to null]
**Name** | **string** | May be at most 150 characters in length | [optional] [default to null]
**ParentId** | **string** | If non-null, indicates the parent of this entity. Must be modified through the folder api. | [optional] [default to null]
**ReadOnly** | **bool** | Indicates if this table is readonly in the account receiving this table. If so, any attempt to edit the table will fail. | [optional] [default to null]
**TableSchema** | [**TableSchema**](TableSchema.md) | The schema to apply | [optional] [default to null]
**Type_** | **string** | The type of table | [optional] [default to null]
**UniqueTableConstraints** | [**[]UniqueConstraintDto**](UniqueConstraintDto.md) | A property indicating the unique constraints on the table. | [default to null]
**Updated** | [**time.Time**](time.Time.md) | When the entity was last updated | [optional] [default to null]
**UserId** | **string** | The owner of the entity | [optional] [default to null]
**Version** | **int64** | The version of the current representation of the entity | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


