# \TableManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateTableUsingPOST**](TableManagementApi.md#CreateTableUsingPOST) | **Post** /api/v1/table | Create a new table
[**DeleteTableUsingDELETE**](TableManagementApi.md#DeleteTableUsingDELETE) | **Delete** /api/v1/table/{tableId} | Delete a single table
[**GetDependentsUsingGET**](TableManagementApi.md#GetDependentsUsingGET) | **Get** /api/v1/table/{tableId}/dependents | Retrieve a list of dependents
[**GetImportInfoUsingGET**](TableManagementApi.md#GetImportInfoUsingGET) | **Get** /api/v1/table/{tableId}/importInfo | Retrieve import information
[**GetTableUsingGET**](TableManagementApi.md#GetTableUsingGET) | **Get** /api/v1/table/{tableId} | Retrieve a single table
[**GetTablesUsingGET**](TableManagementApi.md#GetTablesUsingGET) | **Get** /api/v1/table | Retrieve a list of tables
[**ImportFileUsingPOST**](TableManagementApi.md#ImportFileUsingPOST) | **Post** /api/v1/table/{tableId}/import | Import a single file
[**ImportFromSpreadsheetsUsingPOST**](TableManagementApi.md#ImportFromSpreadsheetsUsingPOST) | **Post** /api/v1/table/{tableId}/spreadsheet/import | Import from spreadsheets
[**UnimportFileUsingDELETE**](TableManagementApi.md#UnimportFileUsingDELETE) | **Delete** /api/v1/table/{tableId}/import/{fileId} | Unimport a single file
[**UpdateTableUsingPUT**](TableManagementApi.md#UpdateTableUsingPUT) | **Put** /api/v1/table/{tableId} | Update a single table


# **CreateTableUsingPOST**
> BaseResponseOfTableDto CreateTableUsingPOST($body)

Create a new table

Creates a table in the database with the specified schema. For type, specify either a dimension or data table. In the interface, data tables appear as fact tables.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**TableDto**](TableDto.md)| The representation of the table to create | [optional] 

### Return type

[**BaseResponseOfTableDto**](BaseResponseOfTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteTableUsingDELETE**
> BaseResponseOfstring DeleteTableUsingDELETE($tableId)

Delete a single table

Soft-deletes the table with the provided ID.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetDependentsUsingGET**
> PagedResponseOfQueryDto GetDependentsUsingGET($tableId, $limit, $cursor, $offset)

Retrieve a list of dependents

Returns a list of all queries that use the table with provided ID as a datasource. If a shared table, this may include queries outside of the current OAuth context.  Permission is checked only for the table ID provided, _not_ on the returned list of queries.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 
 **limit** | **int32**| The number of folders to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfQueryDto**](PagedResponseOfQueryDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetImportInfoUsingGET**
> BaseResponseOfImportInfoDto GetImportInfoUsingGET($tableId)

Retrieve import information

Returns information around imported files for a table.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 

### Return type

[**BaseResponseOfImportInfoDto**](BaseResponseOfImportInfoDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetTableUsingGET**
> BaseResponseOfTableDto GetTableUsingGET($tableId)

Retrieve a single table

Returns a table with the provided ID, or a 404 if no such table is found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 

### Return type

[**BaseResponseOfTableDto**](BaseResponseOfTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetTablesUsingGET**
> PagedResponseOfTableDto GetTablesUsingGET($includeShared, $limit, $cursor, $offset)

Retrieve a list of tables

Returns all tables available in the workspace.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **includeShared** | **bool**| If true, returns all tables shared with the workspace associated with the request. If false, returns only tables the workspace owns. | [optional] [default to false]
 **limit** | **int32**| the number of folders to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| a paging cursor; if included the limit is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, must be greater than or equal to 0, will default to 0 | [optional] 

### Return type

[**PagedResponseOfTableDto**](PagedResponseOfTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ImportFileUsingPOST**
> BaseResponseOfFileMetaDto ImportFileUsingPOST($tableId, $importDto)

Import a single file

Imports the provided file into the associated table, and immediately returns a file meta object with an ID that can be used to poll the file controller for status.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 
 **importDto** | [**ImportDto**](ImportDto.md)| The representation of the table to import | [optional] 

### Return type

[**BaseResponseOfFileMetaDto**](BaseResponseOfFileMetaDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ImportFromSpreadsheetsUsingPOST**
> BaseResponseOfFileMetaDto ImportFromSpreadsheetsUsingPOST($tableId, $importFromSpreadsheetDto)

Import from spreadsheets

Imports spreadsheet data and immediately returns a file meta result. This DTO has an ID, which can be used to poll on status via the file controller.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 
 **importFromSpreadsheetDto** | [**ImportFromSpreadsheetDto**](ImportFromSpreadsheetDto.md)| The representation of the table to update | [optional] 

### Return type

[**BaseResponseOfFileMetaDto**](BaseResponseOfFileMetaDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UnimportFileUsingDELETE**
> BaseResponseOfFileMetaDto UnimportFileUsingDELETE($tableId, $fileId, $force)

Unimport a single file

Unimports the provided file from the provided table. Returns a 409 if the file is not in an imported state, or a 404 if the file can't be found.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 
 **fileId** | **string**| The unique identifier of the file | 
 **force** | **string**| If true, unimports and deletes file from the table | [optional] [default to false]

### Return type

[**BaseResponseOfFileMetaDto**](BaseResponseOfFileMetaDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateTableUsingPUT**
> BaseResponseOfTableDto UpdateTableUsingPUT($tableId, $tableDto)

Update a single table

Updates an existing table with the provided information. Include all user-defined table columns with the request. For type, specify either a dimension or data table. In the interface, data tables appear as fact tables.  * If the table has no imported data, user-defined columns not included with the request are deleted, and columns are sorted according to their order in the request.  * If the table has imported data, any columns with names not already in the table are considered new. This equality check is case-insensitive. Any new columns appear after other user-defined columns, but before any meta columns, which start with `_`.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tableId** | **string**| The unique identifier of the table | 
 **tableDto** | [**TableDto**](TableDto.md)| The representation of the table to update | [optional] 

### Return type

[**BaseResponseOfTableDto**](BaseResponseOfTableDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

