# \TagManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateTagUsingPOST**](TagManagementApi.md#CreateTagUsingPOST) | **Post** /api/v1/tag | Create a new tag
[**DeleteTagUsingDELETE**](TagManagementApi.md#DeleteTagUsingDELETE) | **Delete** /api/v1/tag/{tagId} | Delete a single tag
[**ListTagsUsingGET**](TagManagementApi.md#ListTagsUsingGET) | **Get** /api/v1/tag | Retrieve a list of tags
[**UpdateTagUsingPUT**](TagManagementApi.md#UpdateTagUsingPUT) | **Put** /api/v1/tag/{tagId} | Update a single tag


# **CreateTagUsingPOST**
> BaseResponseOfTagDto CreateTagUsingPOST($tagDto)

Create a new tag

Creates a tag. If another tag already has the same key, returns a 409.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tagDto** | [**TagDto**](TagDto.md)| The representation of the tag to create | [optional] 

### Return type

[**BaseResponseOfTagDto**](BaseResponseOfTagDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DeleteTagUsingDELETE**
> BaseResponseOfstring DeleteTagUsingDELETE($tagId)

Delete a single tag

Deletes the tag with the provided ID. If no such tag is found, this is a no-op.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tagId** | **string**| The unique identifier of the tag | 

### Return type

[**BaseResponseOfstring**](BaseResponseOfstring.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ListTagsUsingGET**
> PagedResponseOfTagDto ListTagsUsingGET($limit, $cursor, $offset)

Retrieve a list of tags

Returns a paged list of all tags associated with the workspace of the request.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int32**| The number of tags to return, from 1 to 1000; by default, 1000 | [optional] 
 **cursor** | **string**| A paging cursor; if included, &#x60;limit&#x60; is ignored | [optional] 
 **offset** | **int64**| The item to start with on the page, greater than or equal to 0; by default, 0 | [optional] 

### Return type

[**PagedResponseOfTagDto**](PagedResponseOfTagDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateTagUsingPUT**
> BaseResponseOfTagDto UpdateTagUsingPUT($tagId, $tagDto)

Update a single tag

Updates the tag that matches the provided ID with the details provided in the body. Ignores the provided key, as keys are immutable once set.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tagId** | **string**| The unique identifier of the tag | 
 **tagDto** | [**TagDto**](TagDto.md)| The representation of the tag to update | [optional] 

### Return type

[**BaseResponseOfTagDto**](BaseResponseOfTagDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

