# \TokenManagementApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateTokenUsingPOST**](TokenManagementApi.md#CreateTokenUsingPOST) | **Post** /api/v1/token | Create a new token
[**DownloadFileUsingGET1**](TokenManagementApi.md#DownloadFileUsingGET1) | **Get** /api/v1/token/{tokenId} | Download a single file


# **CreateTokenUsingPOST**
> BaseResponseOfTokenDto CreateTokenUsingPOST($tokenDto)

Create a new token

Creates a temporary token—valid for only a short period of time—to download a table dataset file or query result, given its ID.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tokenDto** | [**TokenDto**](TokenDto.md)| The representation of the token to update | [optional] 

### Return type

[**BaseResponseOfTokenDto**](BaseResponseOfTokenDto.md)

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **DownloadFileUsingGET1**
> string DownloadFileUsingGET1($tokenId, $filename)

Download a single file

Downloads a table dataset or query result as a file, given its token from the [`Create a new token endpoint`](ref:wdata-createtokenusingpost). If no matching entity is found, returns a 404.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **tokenId** | **string**| The unique identifier of the token | 
 **filename** | **string**| A filename for the download; if included, the default filename is overridden | [optional] 

### Return type

**string**

### Authorization

[oauth](../README.md#oauth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

