/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type FileMetaDto struct {

	// Maps the columns in the physical file (CSV or JSON) to the columns in fact table = {\"physical_col1\":\"table_col1\", \"physical_col2\":\"table_col2\"}
	ColumnMappings map[string]string `json:"columnMappings,omitempty"`

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// The character to use as a delimiter within the file to separate one field from another.  The default is comma
	Delimiter string `json:"delimiter,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// The key is here for backwards compatibility only and will always be an empty string.
	Key string `json:"key,omitempty"`

	// The file's meta data
	Metadata map[string]map[string]Object `json:"metadata,omitempty"`

	// The name of the file
	Name string `json:"name,omitempty"`

	// Number of errors found in the file
	NumErrors int64 `json:"numErrors,omitempty"`

	// Number of records imported from this file.  This will only be non-zero if the file is in the IMPORTED status.
	NumRecords int64 `json:"numRecords,omitempty"`

	// Size of the original file that was uploaded.
	OriginalFileSize int64 `json:"originalFileSize,omitempty"`

	// URI that describes the source location of this file if imported from another system. For instance, this will have a spreadsheet URL if this file was imported from spreadsheets. This will be null if the file was uploaded using the data prep API.
	Source string `json:"source,omitempty"`

	// The files's current status
	Status string `json:"status,omitempty"`

	// The unique identifier for the table
	TableId string `json:"tableId,omitempty"`

	// The tags associated with the file
	Tags map[string]string `json:"tags,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
