/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type FolderableDto struct {

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// A description of the folderable entity
	Description string `json:"description,omitempty"`

	// The UUID unique identifier for the entity.
	Id string `json:"id,omitempty"`

	// Contains additional metadata about the entity returned. For example, a table entity might have a type attribute.
	Metadata Object `json:"metadata,omitempty"`

	// When a significant event happened on the data object.  For example, for queries, this is when the last run occurred; for tables, this is when the last upload occurred.
	Modified time.Time `json:"modified,omitempty"`

	// The identifier of the user who last modified the entity
	ModifiedBy string `json:"modifiedBy,omitempty"`

	// The name of the folderable entity
	Name string `json:"name,omitempty"`

	// The ID of the folder to which this entity belongs. This can be null if the entity is not in a folder.
	ParentId string `json:"parentId,omitempty"`

	// The numerical identifier for the entity's type:  Query=100, Table=200, Pivot View=500, Folder=600, Shared Table=700
	Type_ int32 `json:"type,omitempty"`

	// When the data object was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The identifier of the user who last updated the entity
	UpdatedBy string `json:"updatedBy,omitempty"`
}
