/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type GlobalParameterDto struct {

	// If the parameter is of type select, this is a list of possible choices. This is read only and is for listing and viewing reports to help the user.
	Choices []Object `json:"choices,omitempty"`

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// The unique identifier of the database where this parameter can be used to filter query results
	DatabaseId string `json:"databaseId,omitempty"`

	// The description of the parameter
	Description string `json:"description,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// The label for the query parameter
	Label string `json:"label,omitempty"`

	// The mode of the parameter
	Mode string `json:"mode,omitempty"`

	// The name of the parameter
	Name string `json:"name,omitempty"`

	// Denotes if this parameter can be overridden later in the process, either when the query is created or executed.  The default is true; it can be overridden.
	Overridable bool `json:"overridable,omitempty"`

	// If mode is select, this must be populated and is a reference to a select list from which choices will be derived.
	SelectListId string `json:"selectListId,omitempty"`

	// The type of the parameter
	Type_ string `json:"type,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// The default value of the parameter
	Value Object `json:"value,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
