/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

type ImportDto struct {

	// a map of import column names to table column ids
	ColumnMappings map[string]string `json:"columnMappings,omitempty"`

	// For overriding the file metadata's delimiter. The file delimiter is the character to use within the file to separate one field from another. If this value is not set, the import will use the file's set delimiter. If this value is set, the file metadata's delimiter will be updated on the file object.
	Delimiter string `json:"delimiter,omitempty"`

	// id of the file to import to the table
	FileId string `json:"fileId,omitempty"`

	// For overriding column metadata specifically for this import. The keys in this object are column identifiers with the values being metadata objects.
	Metadata map[string]map[string]Object `json:"metadata,omitempty"`

	// an object containing keys and values, which becomes the tag map
	Tags map[string]string `json:"tags,omitempty"`
}
