/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

type PivotDefinitionDto struct {

	// The colmnnns associated with the pivot view
	Columns []PivotViewDefinitionColumnDto `json:"columns,omitempty"`

	// Numeric data values are rounded to the number of decimal places.  The default number to round to and show is 2 decimal places, and the maximum number is capped at 16.
	DecimalPlaces int32 `json:"decimalPlaces,omitempty"`

	// The filters associated with the pivot view
	Filters []PivotViewDefinitionFilterDto `json:"filters,omitempty"`

	// The level to which Grand Totals are enabled.  It is defaulted to DISABLED.
	GrandTotalEnabled string `json:"grandTotalEnabled,omitempty"`

	// The pivot view's definition's id
	Id string `json:"id,omitempty"`

	// Denotes whether a pivot is created in multi-line header mode. Default is false.
	MultipleHeaders bool `json:"multipleHeaders,omitempty"`

	// The type of pivot view. Options are currently Classic and Compact.
	PivotViewType string `json:"pivotViewType,omitempty"`

	// The rows associated with the pivot view
	Rows []PivotViewDefinitionRowDto `json:"rows,omitempty"`

	// Columns with which to sort the crosstab query
	SortColumns []string `json:"sortColumns,omitempty"`

	// The level to which Subtotals are enabled.  It is defaulted to DISABLED.
	SubtotalEnabled string `json:"subtotalEnabled,omitempty"`

	// The values associated with the pivot view
	Values []PivotViewDefinitionValueDto `json:"values,omitempty"`
}
