/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type PivotViewDto struct {

	// User-defined metadata to attach to the pivot view. This is any arbitrary JSON object and is not required.
	AdditionalMeta map[string]Object `json:"additionalMeta,omitempty"`

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// The description of the pivot view
	Description string `json:"description,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// Name of the pivot view. The maximum size is 255 characters.
	Name string `json:"name,omitempty"`

	// If non-null, indicates the parent of this entity. Must be modified through the folder api.
	ParentId string `json:"parentId,omitempty"`

	// The query to associate with this pivot view. This value is required and cannot be updated after the pivot is created. Any attempt to update the query ID is ignored.
	QueryId string `json:"queryId,omitempty"`

	// An optional query result id to associate with this pivot view. If associated, saving a pivot view will cause an existence check on the related query result.  This value is not required. The query id on the query result must match this pivot's query ID.
	QueryResultId string `json:"queryResultId,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
