/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

// The query text associated with any persisted query contains references to tables upon which that query relies. This model represents those dependencies. Every dependency contains a database and table identifier as in a traditional SQL database.
type QueryDependencyDto struct {

	// The database in which this dependency exists.
	DatabaseId string `json:"databaseId,omitempty"`

	// The name of the system holding this reference.
	System string `json:"system,omitempty"`

	// The id of the table this dependency represents.
	TableId string `json:"tableId,omitempty"`
}
