/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type QueryDto struct {

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// The pivot view's definition
	Definition PivotDefinitionDto `json:"definition,omitempty"`

	// A structured list of dependencies that this query relies upon. This list is populated by the server from the query text. Each dependency model contains enough information to find the source object.
	Dependencies []QueryDependencyDto `json:"dependencies,omitempty"`

	// The description of the query
	Description string `json:"description,omitempty"`

	// Historical revision number of this entity
	HistoryRevision int64 `json:"historyRevision,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// If non-null, indicates the last time this query was run.
	LastRun time.Time `json:"lastRun,omitempty"`

	// If non-null, indicates the last user that ran the query.
	LastRunBy string `json:"lastRunBy,omitempty"`

	// The name of the query
	Name string `json:"name,omitempty"`

	// The query parameters
	Parameters []QueryParameterDto `json:"parameters,omitempty"`

	// If non-null, indicates the parent of this entity. Must be modified through the folder api.
	ParentId string `json:"parentId,omitempty"`

	// The identifier of the primary query result
	PrimaryQueryResultId string `json:"primaryQueryResultId,omitempty"`

	// Max size is 30000 characters.  Is required.  Must be a valid DML statement.
	QueryText string `json:"queryText,omitempty"`

	// Denotes if this query is meant to be temporary.  Default is false.
	Temporary bool `json:"temporary,omitempty"`

	// This field exists for backwards compatibility only and will always be an empty string.
	Type_ string `json:"type,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
