/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

type QueryParameterDto struct {

	// The alias of the query parameter, used to avoid name collisions for nested query parameter references
	Alias string `json:"alias,omitempty"`

	// If the query parameter is of type select, this is a list of possible choices. This  is read only and is for listing and viewing reports to help the user.
	Choices []Object `json:"choices,omitempty"`

	// The entity's unique identifier, set if it is a reference kind.
	Id string `json:"id,omitempty"`

	// The label for the query parameter
	Label string `json:"label,omitempty"`

	// The mode of the query parameter
	Mode string `json:"mode,omitempty"`

	// The name of the query parameter
	Name string `json:"name,omitempty"`

	// Whether the parameter can be overridden, defaults to true.
	Overridable bool `json:"overridable,omitempty"`

	// The hydrated reference object
	Reference Object `json:"reference,omitempty"`

	// If mode is select, this must be populated and is a reference to a select list from which choices will be derived.
	SelectListId string `json:"selectListId,omitempty"`

	// The type of the query parameter
	Type_ string `json:"type,omitempty"`

	// The value of the query parameter
	Value Object `json:"value,omitempty"`
}
