/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type QueryResultDto struct {

	// The number of bytes scanned
	BytesScanned int64 `json:"bytesScanned,omitempty"`

	// If the query has successfully completed, contains a list of columns and their associated computed types from the query.
	Columns []ColumnInfoDto `json:"columns,omitempty"`

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// The duration of time it took to execute the query
	Duration int64 `json:"duration,omitempty"`

	// If an error was encountered during the query, this field will be populated with error text.
	Error_ string `json:"error,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// Determines if this query is to be explained and not executed
	IsExplain bool `json:"isExplain,omitempty"`

	// The query parameter map
	Parameters map[string]Object `json:"parameters,omitempty"`

	// The current status of the pivot execution
	PivotStatus string `json:"pivotStatus,omitempty"`

	// Associated queryDto
	QueryDto QueryDto `json:"queryDto,omitempty"`

	// The identifier of the original query
	QueryId string `json:"queryId,omitempty"`

	// Contains the parameters available to the query at the time it was run. This allows consumers to go back in time and view the state of the query at runtime. For older query runs, this value may not be populated.
	QueryParameters []QueryParameterDto `json:"queryParameters,omitempty"`

	QueryText string `json:"queryText,omitempty"`

	// Contains the number of rows returned from the query.
	RowsReturned int64 `json:"rowsReturned,omitempty"`

	// Contains the size of the query results in bytes. This can be used to determine how best to download the file and if it's reasonable to open it in a browser or other application. This may be 0 if there are no results or the query results were gathered before we started collecting this metric.
	Size int64 `json:"size,omitempty"`

	// The current status of the query execution
	Status string `json:"status,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
