/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type RefreshBatchDto struct {

	// The unique ID of the batch
	BatchRefreshId string `json:"batchRefreshId,omitempty"`

	// The list of jobs initiated by the batch
	ChildRefreshes []ConnectionRunDto `json:"childRefreshes,omitempty"`

	// When the batch was created, as a datetime
	Created time.Time `json:"created,omitempty"`

	// The ID of the user that created the batch
	CreatedBy string `json:"createdBy,omitempty"`

	// The run status of the destination
	DestinationStatus string `json:"destinationStatus,omitempty"`

	// Any error encountered while initiating the batch
	Error_ string `json:"error,omitempty"`

	// The run status of the source
	SourceStatus string `json:"sourceStatus,omitempty"`

	// When the batch was updated, as a datetime
	Updated time.Time `json:"updated,omitempty"`
}
