/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

type RefreshConnectionDto struct {

	// The unique ID of the connection
	ConnectionId string `json:"connectionId,omitempty"`

	// Parameters to send to the destination, on refresh
	DestinationParameters Object `json:"destinationParameters,omitempty"`

	// Parameters to send to the source, on refresh
	SourceParameters Object `json:"sourceParameters,omitempty"`

	// Use the destination parameters from the previous run. This overrides any specified destination parameters. Ignored by \"Refresh batch of connections\" endpoint
	UsePreviousDestinationParameters bool `json:"usePreviousDestinationParameters,omitempty"`

	// Use the source parameters from the previous run. This overrides any specified source parameters. Ignored by \"Refresh batch of connections\" endpoint
	UsePreviousSourceParameters bool `json:"usePreviousSourceParameters,omitempty"`
}
