/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type SelectListDto struct {

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// Description of this select list. Max length: 1024
	Description string `json:"description,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// Name of this select list. Max length: 100
	Name string `json:"name,omitempty"`

	// This is currently not used and its value will always be 'static'. In the future, more types will be added.
	Type_ string `json:"type,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// Defines the type of the items in the list.
	ValueType string `json:"valueType,omitempty"`

	// List of possible values for the list. These values will be validated against the valueType provided.
	Values []Object `json:"values,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
