/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type SharedTableDto struct {

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// The id of the workspace being shared to.
	DestinationWorkspaceId string `json:"destinationWorkspaceId,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// If non-null, indicates the parent of this entity. Must be modified through the folder api.
	ParentId string `json:"parentId,omitempty"`

	// The id of the table being shared.
	SourceTableId string `json:"sourceTableId,omitempty"`

	// The associated table which will be hydrated when listing are fetching shared table entities.
	Table TableDto `json:"table,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
