/* 
 * Cerebral API
 *
 * The Wdata Preparation API allow users to import data sets from their source system, tag, organize, manipulate, share, export, and query against the data
 *
 * OpenAPI spec version: 1.0
 * Contact: scoutteam@workiva.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package swagger

import (
	"time"
)

type TableDto struct {

	// When the entity was created
	Created time.Time `json:"created,omitempty"`

	// The unique identifier of the database where the table resides.
	DatabaseId string `json:"databaseId,omitempty"`

	// The last time that the data set for this table was modified.
	DatasetUpdated time.Time `json:"datasetUpdated,omitempty"`

	// This is for backwards compatibility only and will always return false.
	Deleted bool `json:"deleted,omitempty"`

	// May be at most 255 characters in length
	Description string `json:"description,omitempty"`

	// The entity's unique identifier
	Id string `json:"id,omitempty"`

	// A property indicating if this table is shared to any destination.
	IsShared bool `json:"isShared,omitempty"`

	// Contains the date and time of the last file that was imported into the table. Valuable for determining if the data is stale.
	LastUploaded time.Time `json:"lastUploaded,omitempty"`

	// May be at most 150 characters in length
	Name string `json:"name,omitempty"`

	// If non-null, indicates the parent of this entity. Must be modified through the folder api.
	ParentId string `json:"parentId,omitempty"`

	// Indicates if this table is readonly in the account receiving this table. If so, any attempt to edit the table will fail.
	ReadOnly bool `json:"readOnly,omitempty"`

	// The schema to apply
	TableSchema TableSchema `json:"tableSchema,omitempty"`

	// The type of table
	Type_ string `json:"type,omitempty"`

	// A property indicating the unique constraints on the table.
	UniqueTableConstraints []UniqueConstraintDto `json:"uniqueTableConstraints,omitempty"`

	// When the entity was last updated
	Updated time.Time `json:"updated,omitempty"`

	// The owner of the entity
	UserId string `json:"userId,omitempty"`

	// The version of the current representation of the entity
	Version int64 `json:"version,omitempty"`
}
